Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.atom
Class MuleProvider

    java.lang.Object
      org.apache.abdera.protocol.server.impl.AbstractProvider
          org.mule.module.atom.MuleProvider

All Implemented Interfaces:
  org.apache.abdera.protocol.server.Provider

    public class MuleProvider

extends org.apache.abdera.protocol.server.impl.AbstractProvider

Field Summary

Fields inherited from class org.apache.abdera.protocol.server.impl.AbstractProvider
`abdera, filters, properties`

Constructor Summary
`MuleProvider()`

Method Summary
`protected org.apache.abdera.protocol.server.TargetBuilder` | `getTargetBuilder(org.apache.abdera.protocol.server.RequestContext request)`
`protected org.apache.abdera.protocol.Resolver<org.apache.abdera.protocol.server.Target>` | `getTargetResolver(org.apache.abdera.protocol.server.RequestContext request)`
`protected org.apache.abdera.protocol.server.WorkspaceManager` | `getWorkspaceManager(org.apache.abdera.protocol.server.RequestContext request)`
`org.apache.abdera.protocol.server.ResponseContext` | `request(org.apache.abdera.protocol.server.RequestContext request)`

Methods inherited from class org.apache.abdera.protocol.server.impl.AbstractProvider
`addFilter, getAbdera, getFilters, getProperty, getPropertyNames, getServiceDocument, getServiceElement, getSubjectResolver, init, process, resolveSubject, resolveTarget, setFilters, urlFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleProvider

    public MuleProvider()

Method Detail

### request

    public org.apache.abdera.protocol.server.ResponseContext request(org.apache.abdera.protocol.server.RequestContext request)

### getTargetBuilder

    protected org.apache.abdera.protocol.server.TargetBuilder getTargetBuilder(org.apache.abdera.protocol.server.RequestContext request)

  Specified by:
    `getTargetBuilder` in class `org.apache.abdera.protocol.server.impl.AbstractProvider`

### getTargetResolver

    protected org.apache.abdera.protocol.Resolver<org.apache.abdera.protocol.server.Target> getTargetResolver(org.apache.abdera.protocol.server.RequestContext request)

  Specified by:
    `getTargetResolver` in class `org.apache.abdera.protocol.server.impl.AbstractProvider`

### getWorkspaceManager

    protected org.apache.abdera.protocol.server.WorkspaceManager getWorkspaceManager(org.apache.abdera.protocol.server.RequestContext request)

  Specified by:
    `getWorkspaceManager` in class `org.apache.abdera.protocol.server.impl.AbstractProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.